Featured Tip

Optimize Pro Tools: Set Default Plugins  — posted by therecordingrevolution

When you start working in Pro Tools for any length of time you'll most likely...

Featured Tutorial

Animating in Marquee & the Hidden Animation Graph  — posted by wlidston

Avid Marquee is capable of easy 2D and 3D animation, but it might not be obvious...

Featured Forum

Getting Started with Media Composer

Most Recent Blog Entries

Editor Jim Page Gave Low-Budget Fantasy Film ‘Arthur and Merlin’ the Epic Feel It Deserved

posted by Avid Blogs on Tue, Mar 01 2016

The article Editor Jim Page Gave Low-Budget Fantasy Film ‘Arthur and Merlin’ the Epic Feel It Deserved by Jim Page appeared first on Avid Blogs - The media industry is changing fast. Get the insight you need to succeed—read Avid Blogs. . Read... (read more)

CABSAT 2016—MENA Market Demands More Content Creation

posted by Avid Blogs on Mon, Feb 29 2016

The article CABSAT 2016—MENA Market Demands More Content Creation by Vanessa El Mir appeared first on Avid Blogs - The media industry is changing fast. Get the insight you need to succeed—read Avid Blogs. . Read More... (read more)

Filed under:

Most Recent Postings

Re: bin lock item

Perpetual MC licenses or Rental (subscription)? If the latter, make sure you are running MC Ultimate, as the regular 200/yr MC rental does not support shared storage.

Posted to Avid Media Composer - Mac (Forum) by Job ter Burg on Wed, Aug 15 2018

Re: bin lock item

Management Console isis 4.7.10.16250 We h ave not contacted Avid support directly.

Posted to Avid Media Composer - Mac (Forum) by leeonn on Wed, Aug 15 2018

Re: Can I download an old version of Avid with my current license?

Hi Bill, Only Perpetual Software Licenses and Dongle licenses can be used to activate older editors. Subscription and Floating Licenses are not supported. RalphC

Posted to Licensing Options (Forum) by RalphC on Wed, Aug 15 2018

Re: Can I download an older version of Avid ?

Thanks!

Posted to Avid Media Composer - Mac (Forum) by MrBill on Wed, Aug 15 2018

Re: Media Composer 2018.8 released 8/13/18

Same here. The error prompt indicated my Mac OS X (currently 10.5.5) needed to be updated. I went back to 2018.7.1 for the time being. Running on a iMac (21.5 inch, late 2013).

Posted to Avid Media Composer - Mac (Forum) by peter schulze on Wed, Aug 15 2018

Avid community help center

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller